Bug 1411521 - syntax highlight for bash files has trouble with subshell
Summary: syntax highlight for bash files has trouble with subshell
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: vim
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Zdenek Dohnal
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 21:29 UTC by Marek Haicman
Modified: 2019-11-22 14:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-22 14:39:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
showcase example (161 bytes, application/x-shellscript)
2017-01-09 21:29 UTC, Marek Haicman
no flags Details

Description Marek Haicman 2017-01-09 21:29:05 UTC
Created attachment 1238906 [details]
showcase example

Description of problem:
Attached shell script has mangled syntax - comments in subshell are not recognized, and that results in breakage for rest of the file

Version-Release number of selected component (if applicable):
vim-common-7.4.160-1.el7_3.1.x86_64

How reproducible:
reliably

Steps to Reproduce:
1. open attached script
2. 
3.

Actual results:
comments in subshell are not recognized, and apostrophe colors rest of the file as string

Expected results:
comments are comments, command is command, apostrophe is ignored

Additional info:

Comment 1 Marek Haicman 2017-01-10 12:03:17 UTC
Note: Fedora has this fixed (vim-common-7.4.1989-2.fc25.x86_64)


Note You need to log in before you can comment on or make changes to this bug.